Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOPC.h File Reference

`#include "tao/IOP_IORC.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/Any.h"`

Include dependency graph for GIOPC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | GIOP
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _GIOP_TARGETADDRESS_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::Version &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::Version &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::IORAddressingInfo &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::IORAddressingInfo &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::TargetAddress &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::TargetAddress &)

## Define Documentation

#define _GIOP_TARGETADDRESS_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::TargetAddress & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::IORAddressingInfo & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::Version & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::TargetAddress & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::IORAddressingInfo & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::Version & |
| ) |